{
  "name": "irish-monitor",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve --port 5500 --disable-host-check --host 0.0.0.0",
    "build": "ng build",
    "build-dev": "ng build --configuration=development --source-map",
    "build-beta": "ng build --configuration=beta --source-map",
    "build-prod": "ng build --configuration production --source-map",
    "watch": "ng build --watch --configuration development",
    "dev:ssr": "ng run irish-monitor:serve-ssr",
    "serve:ssr": "node dist/irish-monitor/server/main.js",
    "build:ssr-dev": "npm run build-dev && ng run irish-monitor:server:development",
    "build:ssr-beta": "npm run build-beta && ng run irish-monitor:server:beta",
    "build:ssr-prod": "npm run build-prod && ng run irish-monitor:server:production",
    "prerender": "ng run irish-monitor:prerender",
    "after-build-clean": "rm -rf dist/irish-monitor/browser/assets/common-assets/.git src/app/openaireLibrary/.git node_modules .angular src/assets/common-assets/.git .git"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^16.2.0",
    "@angular/common": "^16.2.0",
    "@angular/compiler": "^16.2.0",
    "@angular/core": "^16.2.0",
    "@angular/forms": "^16.2.0",
    "@angular/localize": "^16.2.0",
    "@angular/material": "^16.2.0",
    "@angular/platform-browser": "^16.2.0",
    "@angular/platform-browser-dynamic": "^16.2.0",
    "@angular/platform-server": "^16.2.0",
    "@angular/router": "^16.2.0",
    "@nguniversal/express-engine": "^16.2.0",
    "axios": "^1.4.0",
    "clipboard": "^1.5.16",
    "express": "^4.15.2",
    "jquery": "^3.4.1",
    "ng-recaptcha": "^12.0.2",
    "ng2-ckeditor": "1.3.7",
    "rxjs": "^6.5.1",
    "ts-md5": "^1.2.0",
    "tslib": "^2.3.0",
    "uikit": "3.16.24",
    "zone.js": "~0.13.0"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^16.2.0",
    "@angular/cli": "~16.2.0",
    "@angular/compiler-cli": "^16.2.0",
    "@nguniversal/builders": "^16.2.0",
    "@types/compression": "^1.7.0",
    "@types/express": "^4.17.0",
    "@types/node": "^16.11.7",
    "typescript": "~5.1.3",
    "@types/ckeditor": "^4.9.10"
  }
}
